View Issue Details

IDProjectCategoryView StatusLast Update
0017228LazarusLCLpublic2011-01-02 21:12
ReporterPatrick ChevalleyAssigned ToMattias Gaertner 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target VersionFixed in Version0.9.29 (SVN) 
Summary0017228: HTMLHelp do not work if BaseURL contain space
DescriptionIf you set HTMLHelpDatabase.BaseURL with a path containing space the URL is interpreted as different parameter by the browser and it show nothing.

I try to quote the path or escape the space character from within my application but this not work due to the way the full URL is build in lazhelphtml.

The only way I found to work is to quote the URL within THTMLBrowserHelpViewer.ShowNode after the full parameter is build:


Index: lcl/lazhelphtml.pas
===================================================================
--- lcl/lazhelphtml.pas (revision 27112)
+++ lcl/lazhelphtml.pas (working copy)
@@ -355,12 +355,12 @@
   // create params and replace %s for URL
   URLMacroPos:=Pos('%s',Params);
   if URLMacroPos>=1 then
- Params:=copy(Params,1,URLMacroPos-1)+Node.URL
+ Params:=copy(Params,1,URLMacroPos-1)+'"'+Node.URL+'"'
            +copy(Params,URLMacroPos+2,length(Params)-URLMacroPos-1)
   else begin
     if Params<>'' then
       Params:=Params+' ';
- Params:=Params+Node.URL;
+ Params:=Params+'"'+Node.URL+'"';
   end;
   CommandLine:=CommandLine+' '+Params;

TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetGTK 2
Attached Files

Activities

Patrick Chevalley

2010-12-18 11:34

reporter   ~0044320

This issue is fixed by using the latest Lazarus svn. You can mark it as resolved.

Tested on Linux, Mac and Windows with help path containing blank space.

Vincent Snijders

2010-12-18 21:09

manager   ~0044357

Thanks for testing.

Issue History

Date Modified Username Field Change
2010-08-21 11:30 Patrick Chevalley New Issue
2010-08-21 11:30 Patrick Chevalley Widgetset => GTK 2
2010-09-13 09:29 Mattias Gaertner Status new => assigned
2010-09-13 09:29 Mattias Gaertner Assigned To => Mattias Gaertner
2010-12-18 11:34 Patrick Chevalley Note Added: 0044320
2010-12-18 21:09 Vincent Snijders LazTarget => -
2010-12-18 21:09 Vincent Snijders Status assigned => resolved
2010-12-18 21:09 Vincent Snijders Fixed in Version => 0.9.29 (SVN)
2010-12-18 21:09 Vincent Snijders Resolution open => fixed
2010-12-18 21:09 Vincent Snijders Note Added: 0044357
2011-01-02 21:12 Patrick Chevalley Status resolved => closed